Subject: [bug#73071] [PATCH mesa-updates 0/8] Various updates for mesa to 24.2.2

From: John Kehayias <[email-masked]>
Date: Fri, 20 Sep 2024 01:46:25 +0000

Hello!

On Mon, Sep 16, 2024 at 09:50 PM, aurtzy wrote:

> I didn't consider this when writing the patch, but would it be a good idea to only use meson-1.5 for x86_64? We could
> avoid rebuilds that way.
>
> Looks like a new mesa release is planned for the 18th [1].
>

Ah, thanks, never saw the calendar before. I'm going to build the newest
release locally, rebase, and push with your patch and this update. From
what I can tell, non x86 archs have stalled for over a week; not sure if
a new update really sets them behind or what is happening.

>  Other than that, I made a minor tweak to the changelog (remove first
> line, name the phase) locally, but have not done a rebase/push on
> mesa-updates. Let me give it a few days for other comments and if
> there are any other rebuilds to go with it.
>
> Regarding my concern (unrelated to NVK): I've had issues with a nonfree application segfaulting which I narrowed down
> to a mesa commit from a few months ago [2] [3] and hit a dead end with (until today). It's only this single program which
> I had ever noticed the issue with so I pushed it aside, but it just occurred to me that this seems like a change that could
> affect other cases my daily driving has not covered.
>
> Further investigation today has revealed that adding libglvnd as an input to mesa fixes this, although from what I can
> tell reading past discussions on adding it, it seems like a complicated issue [4]. Thoughts about this situation?
>

Yeah, we should tackle libglvnd in a separate issue. I'm guessing the
main benefit is for Guix on foreign distros? It is easy enough to add
the input and mesa build with libglvnd support, but as you see in the
thread, there are some other changes needed. Nothing too bad it seems,
just hasn't been tackled. Patches/testing welcome :)

> [1] https://docs.mesa3d.org/release-calendar.html#calendar
>
> [2] https://gitlab.freedesktop.org/mesa/mesa/-/issues/11666
>
> [3] https://gitlab.freedesktop.org/mesa/mesa/-/commit/50fc7cc290db49288b318c116c6fdc3daaf801e9
>
> [4] https://issues.guix.gnu.org/49339#3
>
> Cheers,
>
> aurtzy

Thanks again!
John